
package com.abc.ws;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

import org.jboss.ws.annotation.EndpointConfig;

@EndpointConfig(configName="Standard WSSecurity Endpoint")
@SOAPBinding(style=SOAPBinding.Style.RPC)
@WebService(name = "SalesTax", targetNamespace = "http://ws.abc.com/")
public interface SalesTax {
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "getRate", targetNamespace = "http://ws.abc.com/", className = "com.abc.ws.GetRate")
    @ResponseWrapper(localName = "getRateResponse", targetNamespace = "http://ws.abc.com/", className = "com.abc.ws.GetRateResponse")
    public double getRate(
        @WebParam(name = "arg0", targetNamespace = "")
        String arg0);

}
