package com.abc.ws;


import java.util.HashMap;
import java.util.Map;

import javax.jws.WebService;



@WebService(name = "SalesTaxImpl", serviceName = "SalesTax", endpointInterface = "com.abc.ws.SalesTax", portName="SalesTaxPort")
public class SalesTaxImpl implements SalesTax {
	
	private Map<String, Double> tax = new HashMap<String, Double>();
	
	public void init() {
		tax.put("UP", 5.5);
		tax.put("AP", 6.5);
		tax.put("PU", 7.5);
	}
	
	public double getRate(String arg0) {
		init();
		return tax.get(arg0) != null ? tax.get(arg0) : 0.0;
	}
}